'-------------------------------------------------------------------------------------------
#Compile Exe
#Dim All
#Optimize Speed
#Optimize Code On
#Register All
#Align 16


'-------------------------------------------------------------------------------------------
Function PBMain () As Long
    StdOut  "PBROT13 R1.01 - Encrypt/Decrypt using ROT13                 Copyright (c) 2016-2017 by Javier Gutierrez Chamorro (Guti)" + $CrLf
    If Command$ = "" Then
        StdOut  "PBROT13 encrypts and decrypts strings in the command line, using simple ROT13 algorithm" + $CrLf
        StdOut  "Syntax is:"
        StdOut  "PBROT13 <string>" + $CrLf
        StdOut  "Examples:"
        StdOut  "   PBROT13 Hello World"
        StdOut  "   Will get the encrypted string for 'Hello World'" + $CrLf
        StdOut  "   PBROT13 Uryyb Jbeyq
        StdOut  "   Will get the decrypted string for 'Uryyb Jbeyq'" + $CrLf
        StdOut  "More information at:"
        StdOut  "   http://nikkhokkho.sourceforge.net/static.php?page=PBROT13"
        StdOut  "Press ENTER to continue..." + $CrLf
        WaitKey$
        StdOut
    Else
        StdOut "Input string:  " + Command$
        StdOut "Output string: " + Rot13(Command$)
    End If
End Function


'-------------------------------------------------------------------------------------------
Function Rot13 (psString As String) As String
   Replace Any Chr$(Asc("A") To Asc("Z"), Asc("a") To Asc("z")) With Chr$(Asc("N") To Asc("Z"), Asc("A") To Asc("M"), Asc("n") To Asc("z"), Asc("a") To Asc("m")) In psString
   Function = psString
End Function
